Net::DNS::RR::HINFO(3pm)

NAME
Net::DNS::RR::HINFO - DNS HINFO resource record

SYNOPSIS
        use Net::DNS;
        $rr = Net::DNS::RR->new('name HINFO cpu os');

DESCRIPTION
Class for DNS Hardware Information (HINFO) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  cpu
        $cpu = $rr->cpu;
        $rr->cpu( $cpu );

Returns the CPU type for this RR.

  os
        $os = $rr->os;
        $rr->os( $os );

Returns the operating system type for this RR.

COPYRIGHT
Copyright (c)1997 Michael Fuhr.

All rights reserved.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

LICENSE
Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the original copyright notices appear in all copies and that both copyright notice and this permission notice appear in supporting documentation, and that the name of the author not be used in advertising or publicity pertaining to distribution of the software without specific prior written permission.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

SEE ALSO
perl Net::DNS Net::DNS::RR RFC1035(3.3.2) <https://iana.org/go/rfc1035#section-3.3.2>